# Uses of Class
org.eclipse.jface.viewers.ColumnViewerEditor

Packages that use ColumnViewerEditor
Package
Description
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.

## Uses of ColumnViewerEditor in org.eclipse.jface.viewers

Subclasses of ColumnViewerEditor in org.eclipse.jface.viewers
Modifier and Type
Class
Description
`final class`
`TableViewerEditor`
This is an editor-implementation for `Table`
`class`
`TreeViewerEditor`
This is an editor implementation for `Tree`
Methods in org.eclipse.jface.viewers that return ColumnViewerEditor
Modifier and Type
Method
Description
`protected ColumnViewerEditor`
AbstractTreeViewer.`createViewerEditor()`
This implementation of `AbstractTreeViewer.createViewerEditor()` returns null to ensure API backwards compatibility.
`protected abstract ColumnViewerEditor`
ColumnViewer.`createViewerEditor()`
Creates the viewer editor used for editing cell contents.
`protected ColumnViewerEditor`
TableViewer.`createViewerEditor()`
`protected ColumnViewerEditor`
TreeViewer.`createViewerEditor()`
`ColumnViewerEditor`
ColumnViewer.`getColumnViewerEditor()`
Methods in org.eclipse.jface.viewers with parameters of type ColumnViewerEditor
Modifier and Type
Method
Description
`void`
ColumnViewer.`setColumnViewerEditor(ColumnViewerEditor columnViewerEditor)`